<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         display_sysinfo.php
Description:  Administrative module to display system info

*/

    include "../modules/mod_config.php";
    include "../modules/mod_admin.php";
    include "../modules/class_translation.php";
    include "../modules/class_textfile.php";
    include "../modules/class_article.php";
    include "../modules/class_articlelist.php";
    include "../modules/class_userlist.php";
    include "../modules/class_orderlist.php";

    $cFile = new cTextFile;

    // Check privileges
    check_login();
    if (user_is_customer() == true)
    {
        log_out();
        return;
    }

    // Cancel sysinfo?
    if (isset($_POST['sysinfo_Cancel']))
    {
        header('location: ' . $ADMIN_MAIN_SITE);
        return;
    }

    // Display
    print_admin_header($cTrans->GetTranslation('admin_sysinfo_head'), true, $cTrans->GetTranslation('admin_login_logout'), true, $cTrans->GetTranslation('admin_backtomain'));


    // System
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_servername') . ': </td>');
    echo_r ('    <td>' . $_SERVER['SERVER_NAME'] . '</td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_serveraddr') . ': </td>');
    echo_r ('    <td>' . $_SERVER['SERVER_ADDR'] . '</td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_serversoftware') . ': </td>');
    echo_r ('    <td>' . $_SERVER['SERVER_SOFTWARE'] . '</td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_phpversion') . ': </td>');
    echo_r ('    <td>' . phpversion() . '</td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_time') . ': </td>');
    echo_r ('    <td>' . date("Y-m-d H:i:s") . '</td>');
    echo_r ('  </tr>');
    echo_r ('</table>');

    // Shop
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_visitors') . ': </td>');
    echo_r ('    <td>' . $cFile->LoadFromFile($SHOP_COUNT) . '</td>');
    echo_r ('  </tr>');
    // Shop -> Articles
    $art = new cArticle;
    $artList = new cArticleList;
    $art->SetFolder($ARTICLE_FOLDER);
    $artList->SetFolder($ARTICLE_FOLDER);
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_articlecount') . ': </td>');
    echo_r ('    <td>' . $artList->GetTotalArticles() . '</td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_lockedcount') . ': </td>');
    echo_r ('    <td>' . $artList->GetLockedArticles() . '</td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_mostviewed') . ': </td>');
    $viewResult = $artList->GetMostViewedArticle();
    if ($viewResult == false)
        echo_r ('    <td>N/A</td>');
    else
    {
        $art->LoadArticleFromId($viewResult[1]);
        echo_r ('     <td>' . $art->GetName() . ' (' . $art->GetId() . ') (' . $viewResult[0] . ') <br><img src="' . $art->GetImgThumbUrl() . '" width="' . $THUMB_IMAGE_WIDTH .'" height="' . $THUMB_IMAGE_HEIGHT . '" alt=""></td>');
    }
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_totalviewed') . ': </td>');
    if ($viewResult == false)
        echo_r ('    <td>N/A</td>');
    else
        echo_r ('    <td>' . $viewResult[2] . '</td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_mostordered') . ': </td>');
    $orderResult = $artList->GetMostOrderedArticle();
    if ($orderResult == false)
        echo_r ('    <td>N/A</td>');
    else
    {
        $art->LoadArticleFromId($orderResult[1]);
        echo_r ('     <td>' . $art->GetName() . ' (' . $art->GetId() . ') (' . $orderResult[0] . ') <br><img src="' . $art->GetImgThumbUrl() . '" width="' . $THUMB_IMAGE_WIDTH .'" height="' . $THUMB_IMAGE_HEIGHT . '" alt=""></td>');
    }
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_totalordered') . ': </td>');
    if ($orderResult == false)
        echo_r ('    <td>N/A</td>');
    else
        echo_r ('    <td>' . $orderResult[2] . '</td>');
    echo_r ('  </tr>');
    // Shop -> Customers
    $custList = new cUserList;
    $custList->SetFolder($CUSTOMER_FOLDER);
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_customercount') . ': </td>');
    echo_r ('    <td>' . $custList->GetTotalUsers() . '</td>');
    echo_r ('  </tr>');
    // Shop -> Orders
    $ordList = new cOrderList;
    $ordList->SetFolder($ORDER_FOLDER);
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_ordercount') . ': </td>');
    echo_r ('    <td>' . $ordList->GetTotalOrders() . '</td>');
    echo_r ('  </tr>');
    echo_r ('</table>');

    // Software
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_softwareversion') . ': </td>');
    echo_r ('    <td>' . $SYS_WEBSHOP_VERSION . ' (<a href="' . $SYS_WEBSHOP_VERSION_CHECKSITE . '" target="_blank">' . $cTrans->GetTranslation('admin_checkupdate') . '</a>)</td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_softwaredate') . ': </td>');
    echo_r ('    <td>' . $SYS_WEBSHOP_DATE . '</td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_softwarehistory') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      <textarea cols="60" rows="10">');
    echo_r ($cFile->LoadFromFile($ADMIN_README_FILE));
    echo_r ('      </textarea>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');

    // Referers
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_sysinfo_referers') . ':</td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td>');
    echo_r ('    <textarea cols="120" rows="8" wrap="off">');
    $contentLog = $cFile->LoadFromFile($SHOP_LOG_FILE);
    $contentArray = explode(chr(13), $contentLog);
    $contentLine = array();
    $referers = array();
    for ($i = 0; $i < count($contentArray); $i ++)
    {
        $contentLine = explode("|", $contentArray[$i]);
        if (isset($contentLine[2]) == false)
            continue;
        if (in_array($contentLine[2], $referers) == false)
            $referers[] = $contentLine[2];
    }
    sort($referers);
    foreach ($referers as $referer)
        echo_r($referer);
    echo_r ('    </textarea>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');

    // User agents
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%"><b>' . $cTrans->GetTranslation('admin_sysinfo_useragents') . ': </b></td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td>');
    echo_r ('    <textarea cols="120" rows="8" wrap="off">');
    $contentLog = $cFile->LoadFromFile($SHOP_LOG_FILE);
    $contentArray = explode(chr(10), $contentLog);
    $contentLine = array();
    $referers = array();
    for ($i = 0; $i < count($contentArray); $i ++)
    {
        $contentLine = explode("|", $contentArray[$i]);
        if (isset($contentLine[3]) == false)
            continue;
        if (in_array($contentLine[3], $referers) == false)
        {
            if (strstr($contentLine[3], "A new visitor") == "" && strstr($contentLine[3], "SHOP:") == "")
            $referers[] = $contentLine[3];
        }
    }
    sort($referers);
    foreach ($referers as $referer)
        echo_r($referer);
    echo_r ('    </textarea>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');

    // Languages
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%"><b>' . $cTrans->GetTranslation('admin_sysinfo_languages') . ': </b></td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td>');
    echo_r ('    <textarea cols="120" rows="8" wrap="off">');
    $contentLog = $cFile->LoadFromFile($SHOP_LOG_FILE);
    $contentArray = explode(chr(10), $contentLog);
    $contentLine = array();
    $referers = array();
    for ($i = 0; $i < count($contentArray); $i ++)
    {
        $contentLine = explode("|", $contentArray[$i]);
        if (isset($contentLine[4]) == false)
            continue;
        if (in_array($contentLine[4], $referers) == false)
        {
            if (strstr($contentLine[4], "A new visitor") == "")
            $referers[] = $contentLine[4];
        }
    }
    sort($referers);
    foreach ($referers as $referer)
        echo_r($referer);
    echo_r ('    </textarea>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');

    echo_r('<br>');

    print_bottom_links("sysinfo_Cancel", $cTrans->GetTranslation('admin_ok'));

    print_admin_footer();
?>