<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         edit_article.php
Description:  Administrative module to edit articles or create new ones

*/

    include "../modules/class_article.php";
    include "../modules/class_translation.php";
    include "../modules/class_category.php";
    include "../modules/class_categorylist.php";
    include "../modules/mod_config.php";
    include "../modules/mod_admin.php";

    $b_NotFinished = true;
    $b_ErrorOccured = false;
    $artArticle = new cArticle;
    $artArticle->SetFolder($ARTICLE_FOLDER);
    $artArticle->SetCustFieldCount($ARTICLE_CUSTOM_FIELD_COUNT);
    $artArticle->SetAddImgCount($ARTICLE_ADDITIONAL_IMAGES_COUNT);
    $artId = "";
    $artEdtAction = "new";
    $errorString = "";

    // Check privileges
    check_login();
    if (user_is_customer() == true)
    {
        log_out();
        return;
    }

    // Check action
    if (isset ($_POST['art_EdtAction']) == true)
    {
        if ($_POST['art_EdtAction'] == "edit")
            $artEdtAction = "edit";
    }
    else if (isset ($_GET['action']) == true)
    {
        if ($_GET['action'] == "edit")
            $artEdtAction = "edit";
    }

    if ($artEdtAction == "edit")  // Edit -> load it
    {
        if (isset ($_POST['art_Id']) == true)
            $artId = $_POST['art_Id'];
        else if (isset ($_GET['id']) == true)
            $artId = $_GET['id'];
        if ($artArticle->LoadArticleFromId($artId) == false)
        {
            print_error_message($cTrans->GetTranslation('admin_artedt_errorload') . ' ' . $artId);
            return;
        }
    }

    // Article edit cancelled?
    if (isset ($_POST['art_Cancel']))
    {
        header ('Location: ' . $ADMIN_ARTLIST_SITE);
        return;
    }

    // Check for errors and if none, store the article values
    if (isset ($_POST['art_Save']))
    {
        if ($_POST['art_name'] == "")
        {
            $errorString = $cTrans->GetTranslation('admin_art_errorname') . '!';
            $b_ErrorOccured = true;
        }
        if ($_POST['art_description'] == "")
        {
            $errorString = $cTrans->GetTranslation('admin_art_errordescription') . '!';
            $b_ErrorOccured = true;
        }
        if ($_POST['art_category'] == "")
            $_POST['art_category'] = "0";
        if ($_POST['art_price'] == "")
        {
            $errorString = $cTrans->GetTranslation('admin_art_errorprice') . '!';
            $b_ErrorOccured = true;
        }
        // For user convinience ;-)
        $_POST['art_price'] = correct_decimal_seperator($_POST['art_price']);
        if (is_numeric($_POST['art_price']) == false)
        {
            $errorString = $cTrans->GetTranslation('admin_art_errorpricenum') . '!';
            $b_ErrorOccured = true;
        }
        else  // For user convinience ;-)
        {
            if ($_POST['art_price'] < 0)
                $_POST['art_price'] = $_POST['art_price'] * -1;
        }
        if ($_POST['art_tags'] == "")
        {
            $errorString = $cTrans->GetTranslation('admin_art_errorkeywords') . '!';
            $b_ErrorOccured = true;
        }
        if (isset($_POST['art_amount_unlimited']) && ($_POST['art_amount_unlimited'] == "1" || $_POST['art_amount_unlimited'] == $artArticle->GetUnlimitedTag()))
            $_POST['art_amount'] = $artArticle->GetUnlimitedTag();
        else
        {
            if ($_POST['art_amount'] == "")
            {
                $errorString = $cTrans->GetTranslation('admin_art_erroramount') . '!';
                $b_ErrorOccured = true;
            }
            if (is_numeric($_POST['art_amount']) == false)
            {
                $errorString = $cTrans->GetTranslation('admin_art_erroramountnum') . '!';
                $b_ErrorOccured = true;
            }
            else  // For user convinience ;-)
            {
                if ($_POST['art_amount'] < 0)
                    $_POST['art_amount'] = $_POST['art_amount'] * -1;
            }
        }
        if ($artEdtAction == "new")  // New article, check image paths
        {
            if (empty ($_FILES['art_image']['name']))
            {
                $errorString = $cTrans->GetTranslation('admin_art_errorimage') . '!';
                $b_ErrorOccured = true;
            }
            if (empty ($_FILES['art_largeimage']['name']))
            {
                $errorString = $cTrans->GetTranslation('admin_art_errorthumbimage') . '!';
                $b_ErrorOccured = true;
            }
            if (empty ($_FILES['art_thumbimage']['name']))
            {
                $errorString = $cTrans->GetTranslation('admin_art_errorlargeimage') . '!';
                $b_ErrorOccured = true;
            }
        }

        // Set the image files
        if ($b_ErrorOccured == false)
        {
            if ($artEdtAction == "new")  // New article -> upload images
            {
                $artArticle->CreateArticle();
            }
            $artArticle->SetAddImgCount($ARTICLE_ADDITIONAL_IMAGES_COUNT);
            // Normal image
            if ($artEdtAction == "new" || !(empty ($_FILES['art_image']['name'])))
            {
                if (check_image_extension($_FILES['art_image']['name']) == false)  // Check extension
                {
                    $errorString = $cTrans->GetTranslation('admin_artedt_errorimagetype') . '!';
                    $b_ErrorOccured = true;

                }
                else
                {
                    if ($artEdtAction == "edit")
                        unlink($artArticle->GetImgUrl());  // delete old one first
                    $destName = $ARTICLE_IMAGES_FOLDER . $artArticle->GetId() . retrieve_extension($_FILES['art_image']['name']);
                    // Is resize necessary? ...otherwise copy
                    if(resize_image($_FILES['art_image']['name'], $_FILES['art_image']['tmp_name'], $destName, $NORM_IMAGE_WIDTH, $NORM_IMAGE_HEIGHT) == false)
                    {
                        $errorString = $cTrans->GetTranslation('admin_art_errorsaveimage') . ' ' . $_FILES['art_image']['tmp_name'] . '!';
                        $b_ErrorOccured = true;
                    }
                    else
                    {
                        $artArticle->SetImgUrl($destName);
                    }
                }
            }
            // Large image
            if ($b_ErrorOccured == false && ($artEdtAction == "new" || !(empty ($_FILES['art_largeimage']['name']))))
            {
                if (check_image_extension($_FILES['art_largeimage']['name']) == false)  // Check extension
                {
                    $errorString = $cTrans->GetTranslation('admin_artedt_errorimagetype') . '!';
                    $b_ErrorOccured = true;

                }
                else
                {
                    if ($artEdtAction == "edit")
                        unlink($artArticle->GetImgLargeUrl());  // delete old one first
                    $destName = $ARTICLE_LARGEIMAGES_FOLDER . $artArticle->GetId() . "_large" . retrieve_extension($_FILES['art_largeimage']['name']);
                    // Is resize necessary? ...otherwise copy
                    if(resize_image($_FILES['art_largeimage']['name'], $_FILES['art_largeimage']['tmp_name'], $destName, $LARGE_IMAGE_WIDTH, $LARGE_IMAGE_HEIGHT) == false)
                    {
                        $errorString = $cTrans->GetTranslation('admin_art_errorsaveimage') . ' ' . $_FILES['art_largeimage']['tmp_name'] . '!';
                        $b_ErrorOccured = true;
                    }
                    else
                    {
                        $artArticle->SetImgLargeUrl($destName);
                    }
                }
            }
            // Thumbnail image
            if ($b_ErrorOccured == false && ($artEdtAction == "new" || !(empty ($_FILES['art_thumbimage']['name']))))
            {
                if (check_image_extension($_FILES['art_thumbimage']['name']) == false)  // Check extension
                {
                    $errorString = $cTrans->GetTranslation('admin_artedt_errorimagetype') . '!';
                    $b_ErrorOccured = true;

                }
                else
                {
                    if ($artEdtAction == "edit")
                        unlink($artArticle->GetImgThumbUrl());  // delete old one first
                    $destName = $ARTICLE_THUMBIMAGES_FOLDER . $artArticle->GetId() . "_thumb" . retrieve_extension($_FILES['art_thumbimage']['name']);
                    // Is resize necessary? ...otherwise copy
                    if(resize_image($_FILES['art_thumbimage']['name'], $_FILES['art_thumbimage']['tmp_name'], $destName, $THUMB_IMAGE_WIDTH, $THUMB_IMAGE_HEIGHT) == false)
                    {
                        $errorString = $cTrans->GetTranslation('admin_art_errorsaveimage') . ' ' . $_FILES['art_thumbimage']['tmp_name'] . '!';
                        $b_ErrorOccured = true;
                    }
                    else
                    {
                        $artArticle->SetImgThumbUrl($destName);
                    }
                }
            }

            // Additional images
            if ($b_ErrorOccured == false && $USE_ARTICLE_ADDITIONAL_IMAGES == true)
            {
                for ($i = 1; $i <= $ARTICLE_ADDITIONAL_IMAGES_COUNT; $i ++)
                {
                    // Delete additional images?
                    if (isset($_POST['art_addimagedelete' . $i]) == true)
                    {
                        if (file_exists($artArticle->GetAddImgUrl($i)) == true)
                            unlink($artArticle->GetAddImgUrl($i));
                        $artArticle->SetAddImgUrl($i, "");
                        if (file_exists($artArticle->GetAddImgThumbUrl($i)) == true)
                            unlink($artArticle->GetAddImgThumbUrl($i));
                        $artArticle->SetAddImgThumbUrl($i, "");
                        if (file_exists($artArticle->GetAddImgLargeUrl($i)) == true)
                            unlink($artArticle->GetAddImgLargeUrl($i));
                        $artArticle->SetAddImgLargeUrl($i, "");
                    }
                    else // Add/modify additional image
                    {
                        // Check for integrity, first!!
                        if (!(empty ($_FILES['art_addimage' . $i]['name'])) || !(empty ($_FILES['art_addlargeimage' . $i]['name'])) || !(empty ($_FILES['art_addthumbimage' . $i]['name'])))
                        {
                            if (empty ($_FILES['art_addimage' . $i]['name']) == true && ($artEdtAction == "new" || file_exists($artArticle->GetAddImgUrl($i)) == false))
                            {
                                $errorString = $cTrans->GetTranslation('admin_art_erroraddimage') . ': ' . $i . '!';
                                $b_ErrorOccured = true;
                            }
                            if (empty ($_FILES['art_addlargeimage' . $i]['name']) == true && ($artEdtAction == "new" || file_exists($artArticle->GetAddImgLargeUrl($i)) == false))
                            {
                                $errorString = $cTrans->GetTranslation('admin_art_erroraddlargeimage') . ': ' . $i . '!';
                                $b_ErrorOccured = true;
                            }
                            if (empty ($_FILES['art_addthumbimage' . $i]['name']) == true && ($artEdtAction == "new" || file_exists($artArticle->GetAddImgThumbUrl($i)) == false))
                            {
                                $errorString = $cTrans->GetTranslation('admin_art_erroraddthumbimage') . ': ' . $i . '!';
                                $b_ErrorOccured = true;
                            }
                        }
                        // Try the upload
                        // Additional normal image
                        if ($b_ErrorOccured == false && empty ($_FILES['art_addimage' . $i]['name']) == false)
                        {
                            if (check_image_extension($_FILES['art_addimage' . $i]['name']) == false)  // Check extension
                            {
                                $errorString = $cTrans->GetTranslation('admin_artedt_errorimagetype') . '!';
                                $b_ErrorOccured = true;

                            }
                            else
                            {
                                if ($artEdtAction == "edit" && file_exists($artArticle->GetAddImgUrl($i)))
                                    unlink($artArticle->GetAddImgUrl($i));  // delete old one first
                                $destName = $ARTICLE_IMAGES_FOLDER . $artArticle->GetId() . '_add' . $i . retrieve_extension($_FILES['art_addimage' . $i]['name']);
                                // Is resize necessary? ...otherwise copy
                                if(resize_image($_FILES['art_addimage' . $i]['name'], $_FILES['art_addimage' . $i]['tmp_name'], $destName, $NORM_IMAGE_WIDTH, $NORM_IMAGE_HEIGHT) == false)
                                {
                                    $errorString = $cTrans->GetTranslation('admin_art_errorsaveimage') . ' ' . $_FILES['art_addimage' . $i]['tmp_name'] . '!';
                                    $b_ErrorOccured = true;
                                }
                                else
                                {
                                    $artArticle->SetAddImgUrl($i, $destName);
//                                    die;
                                }
                            }
                        }
                        // Additional large image
                        if ($b_ErrorOccured == false && empty ($_FILES['art_addlargeimage' . $i]['name']) == false)
                        {
                            if (check_image_extension($_FILES['art_addlargeimage' . $i]['name']) == false)  // Check extension
                            {
                                $errorString = $cTrans->GetTranslation('admin_artedt_errorimagetype') . '!';
                                $b_ErrorOccured = true;

                            }
                            else
                            {
                                if ($artEdtAction == "edit" && file_exists($artArticle->GetAddImgLargeUrl($i)))
                                    unlink($artArticle->GetAddImgLargeUrl($i));  // delete old one first
                                $destName = $ARTICLE_LARGEIMAGES_FOLDER . $artArticle->GetId() . "_large_add" . $i . retrieve_extension($_FILES['art_addlargeimage' . $i]['name']);
                                // Is resize necessary? ...otherwise copy
                                if(resize_image($_FILES['art_addlargeimage' . $i]['name'], $_FILES['art_addlargeimage' . $i]['tmp_name'], $destName, $LARGE_IMAGE_WIDTH, $LARGE_IMAGE_HEIGHT) == false)
                                {
                                    $errorString = $cTrans->GetTranslation('admin_art_errorsaveimage') . ' ' . $_FILES['art_addlargeimage' . $i]['tmp_name'] . '!';
                                    $b_ErrorOccured = true;
                                }
                                else
                                {
                                    $artArticle->SetAddImgLargeUrl($i, $destName);
                                }
                            }
                        }
                        // Additional thumbnail image
                        if ($b_ErrorOccured == false && empty ($_FILES['art_addthumbimage' . $i]['name']) == false)
                        {
                            if (check_image_extension($_FILES['art_addthumbimage' . $i]['name']) == false)  // Check extension
                            {
                                $errorString = $cTrans->GetTranslation('admin_artedt_errorimagetype') . '!';
                                $b_ErrorOccured = true;
                            }
                            else
                            {
                                if ($artEdtAction == "edit" && file_exists($artArticle->GetAddImgThumbUrl($i)))
                                    unlink($artArticle->GetAddImgThumbUrl($i));  // delete old one first
                                $destName = $ARTICLE_THUMBIMAGES_FOLDER . $artArticle->GetId() . "_thumb_add" . $i . retrieve_extension($_FILES['art_addthumbimage' . $i]['name']);
                                // Is resize necessary? ...otherwise copy
                                if(resize_image($_FILES['art_addthumbimage' . $i]['name'], $_FILES['art_addthumbimage' . $i]['tmp_name'], $destName, $THUMB_IMAGE_WIDTH, $THUMB_IMAGE_HEIGHT) == false)
                                {
                                    $errorString = $cTrans->GetTranslation('admin_art_errorsaveimage') . ' ' . $_FILES['art_addthumbimage' . $i]['tmp_name'] . '!';
                                    $b_ErrorOccured = true;
                                }
                                else
                                {
                                    $artArticle->SetAddImgThumbUrl($i, $destName);
                                }
                            }
                        }
                    }
                    if ($b_ErrorOccured == true)
                        break;
                }
            }
            
            // If done, fill the rest of the parameters
            if ($b_ErrorOccured == false)
            {
                $artArticle->SetFolder($ARTICLE_FOLDER);
                $artArticle->SetCustFieldCount($ARTICLE_CUSTOM_FIELD_COUNT);
                $artArticle->SetName($_POST['art_name']);
                $artArticle->SetDescription($_POST['art_description']);
                $artArticle->SetVideo($_POST['art_video']);
                $artArticle->SetCategoryId($_POST['art_category']);
                $artArticle->SetPrice($_POST['art_price']);
                $artArticle->SetTags($_POST['art_tags']);
                $artArticle->SetArticleAmount($_POST['art_amount']);
                // Custom fields
                for ($i = 1; $i <= $ARTICLE_CUSTOM_FIELD_COUNT; $i ++)
                {
                    if ($_POST['art_custfieldname' . $i] == "")
                    {
                        $artArticle->SetCustFieldName($i, "");
                        $artArticle->SetCustFieldValue($i, "");
                    }
                    else
                    {
                        $artArticle->SetCustFieldName($i, $_POST['art_custfieldname' . $i]);
                        $artArticle->SetCustFieldValue($i, $_POST['art_custfieldvalue' . $i]);
                    }
                }

                if ($artArticle->SaveArticle() == false)
                {
                    if ($artEdtAction == "new")
                        $errorString = $cTrans->GetTranslation('admin_artedt_errorcreate') . '!';
                    else
                        $errorString = $cTrans->GetTranslation('admin_artedt_errorsave') . '!';
                    $b_ErrorOccured = true;
                }
                else
                {
                    if ($artEdtAction == "edit")  // Edit
                    {
                        // Article is saved.
                        log_message ('User ' . get_user_name() . ' saved article ' . $artArticle->GetId());
                        header ('location: ' . $ADMIN_ARTLIST_SITE);
                        return;
                    }
                    else
                        log_message ('User ' . get_user_name() . ' created article ' . $artArticle->GetId());
                    $b_NotFinished = false;
                }
            }
        }
    }

    // Display the input dialog for edit article
    $titleString = $cTrans->GetTranslation('admin_artedt_newhead');
    if ($artEdtAction == "edit")  // Edit
        $titleString = $cTrans->GetTranslation('admin_artedt_edithead');
    print_admin_header($titleString, true, $cTrans->GetTranslation('admin_login_logout'), true, $cTrans->GetTranslation('admin_backtomain'),
                       $ADMIN_ARTLIST_SITE, $cTrans->GetTranslation('admin_artl_button'), false);
    // Enable editor?
    if ($ADMIN_USEWYSIGWYG == true)
        print_wysiwyg_header();
    print_help_link($ADMIN_HELP_FILE . '#n1-1', $cTrans->GetTranslation('admin_help'));
    finish_admin_header($titleString, true, $cTrans->GetTranslation('admin_login_logout'), true, $cTrans->GetTranslation('admin_backtomain'),
                       $ADMIN_ARTLIST_SITE, $cTrans->GetTranslation('admin_artl_button'));

    if ($errorString != "")
        print_error_message($errorString);

    if ($b_NotFinished == false)
    {
        // Article is created. Display form to create another or go back to article list
        echo_r('<p>' . $cTrans->GetTranslation('admin_artedt_articlecreated') . ' : ' . $artArticle->GetId() . '<br></p>');
        print_bottom_links("art_New", $cTrans->GetTranslation('admin_artedt_createanother'),
                           "art_Cancel", $cTrans->GetTranslation('admin_ok'), true);
        return;
    }

    if ($b_NotFinished == true)
    {
        echo_r('<form action="' . $_SERVER['PHP_SELF'] . '" method="post" enctype="multipart/form-data">');
        echo_r('<table width="100%">');
        // Id
        if ($artEdtAction == "edit")  // Edit
        {
            echo_r('  <tr>');
            echo_r('    <td>' . $cTrans->GetTranslation('admin_art_id') . ':</td>');
            echo_r('    <td><b>' . $artArticle->GetId() . '</b>');
            echo_r('      <input type="hidden" value="' .  $artArticle->GetId() . '" name="art_Id">  ');
            echo_r('    </td>');
            echo_r('  <tr>');
            echo_r('  </tr>');
            echo_r('    <td>' . $cTrans->GetTranslation('admin_maxuploadsize') . ':</td>');
            echo_r('    <td><b>' . ini_get("upload_max_filesize") . '</b></td>');
            echo_r('  </tr>');
        }
        // Name
        echo_r('  <tr>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_art_name') . ':</td>');
        if (isset($_POST['art_name']) == true)
            echo_r('    <td><input type="text" name="art_name" size="40" value="' . $_POST['art_name'] . '"></td>');
        else
            echo_r('    <td><input type="text" name="art_name" size="40" value="' . $artArticle->GetName() . '"></td>');
        echo_r('  </tr>');
        // Description
        echo_r('  <tr>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_art_description') . ':</td>');
        if (isset($_POST['art_description']) == true)
            echo_r('    <td><textarea name="art_description" cols="70" rows="8" wrap="off">' . $_POST['art_description'] . '</textarea></td>');
        else
            echo_r('    <td><textarea name="art_description" cols="70" rows="8" wrap="off">' . $artArticle->GetDescription() . '</textarea></td>');
        echo_r('  </tr>');
        // Video
        echo_r('  <tr>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_art_video') . ':</td>');
        if (isset($_POST['art_video']) == true)
            echo_r('    <td><input type="text" name="art_video"  size="60" value="' . $_POST['art_video'] . '"></td>');
        else
            echo_r('    <td><input type="text" name="art_video"  size="60" value="' . $artArticle->GetVideo() . '"></td>');
        echo_r('  </tr>');
        // Category
        if ($USE_CATEGORIES == true)
        {
            echo_r('  <tr>');
            echo_r('    <td>' . $cTrans->GetTranslation('admin_art_category') . ':</td>');
            echo_r('    <td>');
            echo_r('      <select name="art_category">');
            $cat = new cCategory;
            $cat->SetFolder($CATEGORY_FOLDER);
            $catList = new cCategoryList;
            $catList->SetFolder($CATEGORY_FOLDER);
            $catList->LoadCategoryList(1); // Unlocked
            $resList = $catList->GetCategoryList();
            $catSelId = 0;
            if (isset ($_POST['art_category']) == true)
                $catSelId = $_POST['art_category'];
            else
                $catSelId = $artArticle->GetCategoryId();
            echo ('        <option value="0"');
            if ($catSelId == "0" || $cat->LoadCategoryFromId($catSelId) == false)
                echo (' selected');
            echo_r('>' . $cTrans->GetTranslation('admin_art_categorynone') . '</option>');
            foreach ($resList as $value)
            {
                $cat->LoadCategoryFromId($value);
                echo ('        <option value="' . $cat->GetId() . '"');
                if ($catSelId == $cat->GetId())
                    echo (' selected');
                echo_r('>' . $cat->GetName() . '</option>');
            }
            echo_r('      </select>');
            echo_r('    </td>');
            echo_r('  </tr>');
        }
        // Images
        echo_r('  <tr>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_art_image') . ' [' . $NORM_IMAGE_WIDTH . 'x' . $NORM_IMAGE_HEIGHT . ' px]:');
        if ($artEdtAction == "edit")  // Edit
            echo_r('       <br><a href="' . $artArticle->GetImgUrl() . '" target="_blank"><img src="' . $artArticle->GetImgUrl() . '" width="' . $THUMB_IMAGE_WIDTH .'" height="' . $THUMB_IMAGE_HEIGHT . '" alt=""></a>');
        echo_r('    <br><input type="file" name="art_image" value="">');
        echo_r('    </td>');
        echo_r('    <td>');
        echo_r('      <table border="0" width="100%">');
        echo_r('        <tr>');
        echo_r('          <td width="50%">' . $cTrans->GetTranslation('admin_art_largeimage') . ' [' . $LARGE_IMAGE_WIDTH . 'x' . $LARGE_IMAGE_HEIGHT . ' px]:');
        if ($artEdtAction == "edit")  // Edit
            echo_r('          <br><a href="' . $artArticle->GetImgLargeUrl() . '" target="_blank"><img src="' . $artArticle->GetImgLargeUrl() . '" width="' . $THUMB_IMAGE_WIDTH .'" height="' . $THUMB_IMAGE_HEIGHT . '" alt=""></a>');
        echo_r('          <br><input type="file" name="art_largeimage" value="">');
        echo_r('          </td>');
        echo_r('          <td width="50%">' . $cTrans->GetTranslation('admin_art_thumbimage') . ' [' . $THUMB_IMAGE_WIDTH . 'x' . $THUMB_IMAGE_HEIGHT . ' px]:');
        if ($artEdtAction == "edit")  // Edit
            echo_r('          <br><a href="' . $artArticle->GetImgThumbUrl() . '" target="_blank"><img src="' . $artArticle->GetImgThumbUrl() . '" width="' . $THUMB_IMAGE_WIDTH .'" height="' . $THUMB_IMAGE_HEIGHT . '" alt=""></a>');
        echo_r('          <br><input type="file" name="art_thumbimage" value="">');
        echo_r('          </td>');
        echo_r('        </tr>');
        echo_r('      </table>');
        echo_r('    </td>');
        echo_r('  </tr>');
        // Additional images
        if ($USE_ARTICLE_ADDITIONAL_IMAGES == true)
        {
            for ($i = 1; $i <= $ARTICLE_ADDITIONAL_IMAGES_COUNT; $i ++)
            {
                echo_r('  <tr style="vertical-align: top">');
                echo_r('    <td>' . $cTrans->GetTranslation('admin_art_addimage') . ' ' . $i . ' [' . $NORM_IMAGE_WIDTH . 'x' . $NORM_IMAGE_HEIGHT . ' px]:');
                if ($artEdtAction == "edit" && file_exists($artArticle->GetAddImgUrl($i)) == true)  // Edit
                    echo_r('       <br><a href="' . $artArticle->GetAddImgUrl($i) . '" target="_blank"><img src="' . $artArticle->GetAddImgUrl($i) . '" width="' . $THUMB_IMAGE_WIDTH .'" height="' . $THUMB_IMAGE_HEIGHT . '" alt=""></a>');
                echo_r('    <br><input type="file" name="art_addimage' . $i . '" value="">');
                if ($artEdtAction == "edit" && file_exists($artArticle->GetAddImgUrl($i)) == true)  // Edit
                    echo_r('    <br><input type="checkbox" value="1" name="art_addimagedelete' . $i . '"> ' . $cTrans->GetTranslation('admin_delete'));
                echo_r('    </td>');
                echo_r('    <td>');
                echo_r('      <table border="0" width="100%">');
                echo_r('        <tr style="vertical-align: top">');
                echo_r('          <td width="50%">' . $cTrans->GetTranslation('admin_art_addlargeimage') . ' ' . $i . ' [' . $LARGE_IMAGE_WIDTH . 'x' . $LARGE_IMAGE_HEIGHT . ' px]:');
                if ($artEdtAction == "edit" && file_exists($artArticle->GetAddImgLargeUrl($i)) == true)  // Edit
                    echo_r('          <br><a href="' . $artArticle->GetAddImgLargeUrl($i) . '" target="_blank"><img src="' . $artArticle->GetAddImgLargeUrl($i) . '" width="' . $THUMB_IMAGE_WIDTH .'" height="' . $THUMB_IMAGE_HEIGHT . '" alt=""></a>');
                echo_r('          <br><input type="file" name="art_addlargeimage' . $i . '" value="">');
                echo_r('          </td>');
                echo_r('          <td width="50%">' . $cTrans->GetTranslation('admin_art_addthumbimage') . ' ' . $i . '[' . $THUMB_IMAGE_WIDTH . 'x' . $THUMB_IMAGE_HEIGHT . ' px]:');
                if ($artEdtAction == "edit" && file_exists($artArticle->GetAddImgThumbUrl($i)) == true)  // Edit
                    echo_r('          <br><a href="' . $artArticle->GetAddImgThumbUrl($i) . '" target="_blank"><img src="' . $artArticle->GetAddImgThumbUrl($i) . '" width="' . $THUMB_IMAGE_WIDTH .'" height="' . $THUMB_IMAGE_HEIGHT . '" alt=""></a>');
                echo_r('          <br><input type="file" name="art_addthumbimage' . $i . '" value="">');
                echo_r('          </td>');
                echo_r('        </tr>');
                echo_r('      </table>');
                echo_r('    </td>');
                echo_r('  </tr>');
            }
        }
        // Price
        echo_r('  <tr>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_art_price') . ':</td>');
        if (isset($_POST['art_price']) == true)
            echo_r('    <td><input type="text" name="art_price" size="7" value="' . $_POST['art_price'] . '"> ' . $SHOP_CURRENCY .'</td>');
        else
            echo_r('    <td><input type="text" name="art_price" size="7"  value="' . $artArticle->GetPrice() . '"> ' . $SHOP_CURRENCY .'</td>');
        echo_r('  </tr>');
        // Keywords
        echo_r('  <tr>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_art_keywords') . ':</td>');
        if (isset($_POST['art_tags']) == true)
            echo_r('    <td><input type="text" name="art_tags" size="60" value="' . $_POST['art_tags'] . '"></td>');
        else
            echo_r('    <td><input type="text" name="art_tags" size="60" value="' . $artArticle->GetTags() . '"></td>');
        echo_r('  </tr>');
        // Article amount
        if ($USE_ARTICLE_AMOUNTS == true)
        {
            echo_r('<script type="text/javascript" language="JavaScript">');
            echo_r('function SetAmount()');
            echo_r('{');
            echo_r('  if (document.getElementById("amount_unlimited").checked == true)');
            echo_r('  {');
            echo_r('      document.getElementById("amount").style.visibility = "hidden";');
            echo_r('      document.getElementById("amount").value = "' . $artArticle->GetUnlimitedTag() . '";');
            echo_r('  } else {');
            echo_r('      document.getElementById("amount").style.visibility = "visible";');
            echo_r('      document.getElementById("amount").value = "";');
            echo_r('      document.getElementById("amount").focus();');
            echo_r('  }');
            echo_r('}');
            echo_r('</script>');
            echo_r('  <tr>');
            echo_r('    <td>' . $cTrans->GetTranslation('admin_art_amount') . ':</td>');
            $artAmount = $artArticle->GetArticleAmount();
            if (isset($_POST['art_amount']) == true)
                $artAmount = $_POST['art_amount'];
            echo ('    <td><input type="text" name="art_amount" id="amount" size="7" value="' . $artAmount . '"');
            if ($artAmount == $artArticle->GetUnlimitedTag())
                echo (' style="visibility: hidden"');
            echo_r ('>');
            echo  ('    <input type="checkbox" name="art_amount_unlimited" id="amount_unlimited" value="1" onClick="JavaScript: SetAmount();"');
            if ($artAmount == $artArticle->GetUnlimitedTag())
                echo (' checked');
            echo_r('> ' . $cTrans->GetTranslation('admin_art_amountunlimeted'));

            echo_r('    </td>');
            echo_r('  </tr>');
        }
        // Custom fields
        if ($USE_CUSTOM_FIELDS == true)
        {
            echo_r('  <tr>');
            echo_r('    <td>' . $cTrans->GetTranslation('admin_art_custfieldsname') . ':</td>');
            echo_r('    <td>' . $cTrans->GetTranslation('admin_art_custfieldsvalue') . ':</td>');
            echo_r('  </tr>');
            for ($i = 1; $i <= $ARTICLE_CUSTOM_FIELD_COUNT; $i ++)
            {
                echo_r('  <tr>');
                echo_r('    <td>' . $cTrans->GetTranslation('admin_art_custfieldname') . $i .':  ');
                if (isset($_POST['art_custfieldname' . $i]) == true)
                    echo_r('    <input type="text" name="art_custfieldname' . $i . '" value="' . $_POST['art_custfieldname' . $i] . '">');
                else
                    echo_r('    <input type="text" name="art_custfieldname' . $i . '" value="' . $artArticle->GetCustFieldName($i) . '">');
                echo_r('    </td>');
                echo_r('    <td>' . $cTrans->GetTranslation('admin_art_custfieldvalue') . $i .':  ');
                if (isset($_POST['art_custfieldvalue' . $i]) == true)
                    echo_r('    <input type="text" name="art_custfieldvalue' . $i . '" size="40" value="' . $_POST['art_custfieldvalue' . $i] . '">');
                else
                    echo_r('    <input type="text" name="art_custfieldvalue' . $i . '" size="40" value="' . $artArticle->GetCustFieldValue($i) . '">');
                // Custom field presets
                if ($USE_CUSTOM_FIELDS_PRESETS == true)
                {
                    echo_r('      <select name="cust_def' . $i . '">');
                    for ($v = 1; $v <= $PRESET_CUSTOM_FIELD_COUNT; $v ++)
                    {
                        if ($conConfig->GetParameter("cust_field_name" . $v) != "")
                            echo_r('        <option value="' . $v . '">' . $conConfig->GetParameter("cust_field_name" . $v). '</option>');
                    }
                    echo_r('      </select>');
                    echo_r('      <input type="button" value="OK" name="bcust_def' . $i . '" onClick="document.getElementsByName(\'art_custfieldname' .$i .'\')[0].value=document.getElementsByName(\'cust_name\' + document.getElementsByName(\'cust_def' .$i .'\')[0].value)[0].value; document.getElementsByName(\'art_custfieldvalue' .$i .'\')[0].value=document.getElementsByName(\'cust_val\' + document.getElementsByName(\'cust_def' .$i .'\')[0].value)[0].value;">');
                }
                echo_r('    </td>');
                echo_r('  </tr>');
            }
        }
        // Statistics
        echo_r('  <tr>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_art_stats') . ':</td>');
        echo_r('    <td>' . $artArticle->GetViewCount() . ' / ' . $artArticle->GetOrderCount() . '</td>');
        echo_r('  </tr>');
        echo_r('</table>');

        // Custom field presets
        if ($USE_CUSTOM_FIELDS_PRESETS == true)
        {
            for ($v = 1; $v <= $PRESET_CUSTOM_FIELD_COUNT; $v ++)
            {
                echo_r('<input type="hidden" name="cust_name' . $v . '" value="' . $conConfig->GetParameter("cust_field_name" . $v) .'">');
                echo_r('<input type="hidden" name="cust_val' . $v . '" value="' . $conConfig->GetParameter("cust_field_value" . $v) .'">');
            }
        }

        // If not used, keep the category,amount value, custom fields here
        if ($USE_CATEGORIES != true)
            echo_r('<input type="hidden" name="art_category" value="' . $artArticle->GetCategoryId() . '">');
        if ($USE_ARTICLE_AMOUNTS != true)
        {
            if ($artArticle->IsArticleAmountUnlimited() == true)
                echo_r('<input type="hidden" name="art_amount_unlimited" value="1">');
            else
                echo_r('<input type="checkbox" name="art_amount_unlimited" value="0">');
            echo_r('<input type="hidden" name="art_amount" value="' . $artArticle->GetArticleAmount() . '">');
        }
        if ($USE_CUSTOM_FIELDS != true)
        {
            for ($i = 1; $i <= $ARTICLE_CUSTOM_FIELD_COUNT; $i ++)
            {
                echo_r('    <input type="hidden" name="art_custfieldname' . $i . '" value="' . $artArticle->GetCustFieldName($i) . '">');
                echo_r('    <input type="hidden" name="art_custfieldvalue' . $i . '" value="' . $artArticle->GetCustFieldValue($i) . '">');
            }
        }

        if ($artEdtAction == "edit")  // Edit
             print_bottom_links("art_Save", $cTrans->GetTranslation('admin_save'),
                                "art_Cancel", $cTrans->GetTranslation('admin_cancel'), false);
        else // New
             print_bottom_links("art_Save", $cTrans->GetTranslation('admin_create'),
                                "art_Cancel", $cTrans->GetTranslation('admin_cancel'), false);
        echo_r('<input type="hidden" name="art_EdtAction" value="' . $artEdtAction . '">');

        echo_r('</form>');
    }

    print_admin_footer();
?>