<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         layout.php
Description:  Administrative entry point for layout

*/

    include "../modules/mod_config.php";
    include "../modules/mod_admin.php";
    include "../modules/class_translation.php";
    include "../modules/class_user.php";

    // Check privileges
    check_login();
    if (user_is_customer() == true)
    {
        log_out();
        return;
    }

    if (user_is_admin() == false || isset($_POST['layo_Cancel']))
    {
        header ('location: ' . $ADMIN_MAIN_SITE);
        return;
    }

    // Edit shop css file?
    if (isset ($_POST['admin_ShopCSS']))
    {
        header('location: ' . $ADMIN_EDITFILE_SITE . '?filename=' . $SHOP_CSS_FILE);
        return;
    }
    // Exchange shop logo?
    if (isset ($_POST['admin_ShopLogo']))
    {
        header('location: ' . $ADMIN_UPLOADIMAGE_SITE . '?destname=' . $SHOP_HEADER_IMAGE);
        return;
    }
    // Edit admin css?
    if (isset ($_POST['admin_AdminCSS']))
    {
        header('location: ' . $ADMIN_EDITFILE_SITE . '?filename=' . $ADMIN_CSS_FILE);
        return;
    }
    // Exchange admin logo?
    if (isset ($_POST['admin_AdminLogo']))
    {
        header('location: ' . $ADMIN_UPLOADIMAGE_SITE . '?destname=' . $ADMIN_HEADER_IMAGE);
        return;
    }
    // Exchange maintenance logo?
    if (isset ($_POST['admin_MaintenanceLogo']))
    {
        header('location: ' . $ADMIN_UPLOADIMAGE_SITE . '?destname=' . $ADMIN_MAINTENANCE_IMAGE);
        return;
    }
    // Reset images?
    if (isset ($_POST['admin_ResetImages']))
    {
        reset_folder($DEFAULT_IMAGES_FOLDER, $IMAGES_FOLDER);
        header('location: ' . $ADMIN_LAYOUT_SITE);
        return;
    }

    // Display
    print_admin_header($cTrans->GetTranslation('admin_layout_head'), true, $cTrans->GetTranslation('admin_login_logout'), true, $cTrans->GetTranslation('admin_backtomain'));
    print_help_link($ADMIN_HELP_FILE . '#n3', $cTrans->GetTranslation('admin_help'));
    echo_r('<form method="post" action="">');
    // Shop CSS
    echo_r('<table border="0" width="100%">');
    echo_r('  <tr>');
    echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_ShopCSS" value="' . $cTrans->GetTranslation('admin_layout_shopcss') . '"></td>');
    echo_r('    <td>' . $cTrans->GetTranslation('admin_layout_shopcsshint') . '</td>');
    echo_r('  </tr>');
    echo_r('</table>');
    echo_r('<hr>');
    // Shop logo
    echo_r('<table border="0" width="100%">');
    echo_r('  <tr>');
    echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_ShopLogo" value="' . $cTrans->GetTranslation('admin_layout_shoplogo') . '"></td>');
    echo_r('    <td>' . $cTrans->GetTranslation('admin_layout_shoplogohint') . '</td>');
    echo_r('  </tr>');
    echo_r('</table>');
    echo_r('<hr>');
    // Admin CSS
    echo_r('<table border="0" width="100%">');
    echo_r('  <tr>');
    echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_AdminCSS" value="' . $cTrans->GetTranslation('admin_layout_admincss') . '"></td>');
    echo_r('    <td>' . $cTrans->GetTranslation('admin_layout_admincsshint') . '</td>');
    echo_r('  </tr>');
    echo_r('</table>');
    echo_r('<hr>');
    // Admin logo
    echo_r('<table border="0" width="100%">');
    echo_r('  <tr>');
    echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_AdminLogo" value="' . $cTrans->GetTranslation('admin_layout_adminlogo') . '"></td>');
    echo_r('    <td>' . $cTrans->GetTranslation('admin_layout_adminlogohint') . '</td>');
    echo_r('  </tr>');
    echo_r('</table>');
    echo_r('<hr>');
    // Maintenance logo
    echo_r('<table border="0" width="100%">');
    echo_r('  <tr>');
    echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_MaintenanceLogo" value="' . $cTrans->GetTranslation('admin_layout_maintenancelogo') . '"></td>');
    echo_r('    <td>' . $cTrans->GetTranslation('admin_layout_maintenancelogohint') . '</td>');
    echo_r('  </tr>');
    echo_r('</table>');
    echo_r('<hr>');
    // Reset images
    echo_r('<table border="0" width="100%">');
    echo_r('  <tr>');
    echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_ResetImages" value="' . $cTrans->GetTranslation('admin_layout_resetimages') . '"></td>');
    echo_r('    <td>' . $cTrans->GetTranslation('admin_layout_resetimageshint') . '</td>');
    echo_r('  </tr>');
    echo_r('</table>');
    echo_r('<hr>');

    echo_r('</form>');
    print_bottom_links("layo_Cancel", $cTrans->GetTranslation('admin_ok'));
    print_admin_footer();
?>