<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         list_articles.php
Description:  Administrative overview of all articles

*/

    include "../modules/class_article.php";
    include "../modules/class_articlelist.php";
    include "../modules/mod_config.php";
    include "../modules/mod_admin.php";
    include "../modules/class_translation.php";
    include "../modules/class_category.php";

    // Check privilege
    check_login();
    if (user_is_customer() == true)
    {
        log_out();
        return;
    }
    if (isset ($_POST['artl_Cancel']))
    {
        header('location: ' . $ADMIN_MAIN_SITE);
        return;
    }

    // Create new article?
    if (isset ($_POST['artl_CreateArticle']))
    {
        header ('location: ' . $ADMIN_ARTEDT_SITE . '?action=new');
        return;
    }
    // Edit article?
    if (isset ($_POST['artl_EditArticle']))
    {
        header ('location: ' . $ADMIN_ARTEDT_SITE . '?id=' . $_POST['artl_ArticleId'] . '&action=edit');
        return;
    }
    // Delete article?
    if (isset ($_POST['artl_DeleteArticle']))
    {
        header ('location: ' . $ADMIN_ARTMOD_SITE . '?id=' . $_POST['artl_ArticleId'] . '&action=delete');
        return;
    }
    // Lock article?
    if (isset ($_POST['artl_LockArticle']))
    {
        header ('location: ' . $ADMIN_ARTMOD_SITE . '?id=' . $_POST['artl_ArticleId'] . '&action=lock');
        return;
    }
    // Unlock article?
    if (isset ($_POST['artl_UnlockArticle']))
    {
        header ('location: ' . $ADMIN_ARTMOD_SITE . '?id=' . $_POST['artl_ArticleId'] . '&action=unlock');
        return;
    }

    // Display
    print_admin_header($cTrans->GetTranslation('admin_artl_head'), true, $cTrans->GetTranslation('admin_login_logout'), true, $cTrans->GetTranslation('admin_backtomain'));
    print_help_link($ADMIN_HELP_FILE . '#n1-1', $cTrans->GetTranslation('admin_help'));
    $art = new cArticle;
    $cat = new cCategory;
    $artList = new cArticleList;
    $artFilter = $FILTER_ALL;
    if (isset ($_GET['filter']) && $_GET['filter'] != "")
        $artFilter = $_GET['filter'];
    else if (isset ($_POST['artl_filter']) && $_POST['artl_filter'] != "")
        $artFilter = $_POST['artl_filter'];

    $art->SetFolder($ARTICLE_FOLDER);
    $art->SetCustFieldCount($ARTICLE_CUSTOM_FIELD_COUNT);
    $cat->SetFolder($CATEGORY_FOLDER);
    $artList->SetFolder($ARTICLE_FOLDER);

    $artList->LoadArticleList($artFilter);
    $artList->SortArticleList($ADMIN_ARTICLE_SORT);
    $list = $artList->GetArticleList();

    echo_r ('<form method="post" action="">');
    echo_r ('<table border="0" width="100%">');
    echo_r ('<tr>');
    echo_r ('  <td width="20%"><input type="submit" class="bottom_btn" value="' . $cTrans->GetTranslation('admin_artl_createnew') . '" name="artl_CreateArticle"></td>');
    echo_r ('  <td width="10%">' . $cTrans->GetTranslation('admin_filter') . '</td>');
    echo_r ('  <td>');
    echo_r ('  <select name="artl_filter" onChange="submit();">');
    echo   ('  <option value="' . $FILTER_ALL . '"');
    if ($artFilter == $FILTER_ALL)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_all') . '</option>');
    echo   ('  <option value="' . $FILTER_UNLOCKED . '"');
    if ($artFilter == $FILTER_UNLOCKED)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_unlocked') . '</option>');
    echo   ('  <option value="' . $FILTER_LOCKED . '"');
    if ($artFilter == $FILTER_LOCKED)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_locked') . '</option>');
    echo_r ('  </select>');
    echo_r ('  </td>');
    echo_r ('</tr>');
    echo_r ('</table>');
    echo_r ('</form>');

    foreach ($list as $value)
    {
        $art->LoadArticleFromId($value);
        
        echo_r('<hr>');
        echo_r('<table width="100%" border="0">');
        echo_r('  <tr>');
        echo_r('    <td width="16%">');
        echo  ('      <a href="' . $ADMIN_ARTEDT_SITE . '?id=' . $art->GetId() . '&amp;action=edit">');
        echo_r('<img src="' . $art->GetImgThumbUrl() . '" width="' . $THUMB_IMAGE_WIDTH .'" height="' . $THUMB_IMAGE_HEIGHT . '" title="' . $cTrans->GetTranslation('admin_edit') . '" alt=""></a>');
        if ($art->IsLocked() == true)
            echo_r('       <img src="' . $LOCKED_IMAGE . '" title="' . $cTrans->GetTranslation('admin_locked') . '">');
        echo_r('    </td>');
        echo_r('    <td width="27%">');
        echo_r('       ' . $cTrans->GetTranslation('admin_art_id') . ': ' . $art->GetId() . '<br>');
        echo_r('       ' . $cTrans->GetTranslation('admin_art_date') . ': ' . $art->GetDate() . '<br>');
        echo_r('       ' . $cTrans->GetTranslation('admin_art_name') . ': ' . $art->GetName());
        echo_r('    </td>');
        echo_r('    <td width="27%">');
        echo_r('       ' . $cTrans->GetTranslation('admin_art_price') . ': ' . $art->GetPrice() . ' ' . $SHOP_CURRENCY . '<br>');
        if ($USE_CATEGORIES == true)
        {
            if ($art->GetCategoryId() == "0" || $cat->LoadCategoryFromId($art->GetCategoryId()) == false)
                echo_r('       <b>' . $cTrans->GetTranslation('admin_art_category') . ': <span class="font_warning">' . $cTrans->GetTranslation('admin_art_categorynone') . '</span></b><br>');
            else
                echo_r('       ' . $cTrans->GetTranslation('admin_art_category') . ': <b>' . $cat->GetName() . '</b><br>');
        }
        if ($USE_ARTICLE_AMOUNTS == true)
        {
            if ($art->IsArticleSoldOut() == true)
                echo_r('       <b>' . $cTrans->GetTranslation('admin_art_amount') . ': <span class="font_warning">' . $cTrans->GetTranslation('admin_art_amountsoldout') . '</span></b><br>');
            else
            {
                if ($art->IsArticleAmountUnlimited())
                    echo_r('       ' . $cTrans->GetTranslation('admin_art_amount') . ': <i>' . $cTrans->GetTranslation('admin_art_amountunlimeted') . '</i><br>');
                else
                    echo_r('       ' . $cTrans->GetTranslation('admin_art_amount') . ': <b>' . $art->GetArticleAmount() . '</b><br>');
            }
        }
        echo_r('       ' . $cTrans->GetTranslation('admin_art_stats') . ': ' . $art->GetViewCount() . ' / ' . $art->GetOrderCount());
        echo_r('    </td>');
        echo_r('    <td width="30%">');
        echo_r('    <form method="post" action="">');
        echo_r('    <input type="hidden" value="' . $art->GetId() . '" name="artl_ArticleId">  ');
        echo_r('    <input type="submit" class="side_btn" value="' . $cTrans->GetTranslation('admin_edit') . '" name="artl_EditArticle">  ');
        if ($art->IsLocked() == true)
        {
            echo_r('    <input type="submit" class="side_btn" value="' . $cTrans->GetTranslation('admin_unlock') . '" name="artl_UnlockArticle">  ');
        }
        else
        {
            echo_r('    <input type="submit" class="side_btn" value="' . $cTrans->GetTranslation('admin_lock') . '" name="artl_LockArticle">  ');
        }
        if (user_is_reporter() == false)
            echo_r('    <input type="submit" class="side_btn" value="' . $cTrans->GetTranslation('admin_delete') . '" name="artl_DeleteArticle">  ');
        echo_r('    </form>');
        echo_r('    </td>');
        echo_r('  </tr>');
        echo_r('</table>');
    }
    print_bottom_links("artl_Cancel", $cTrans->GetTranslation('admin_ok'));

    print_admin_footer();
?>