<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         send_newsletter.php
Description:  Administrative module send newsletters

*/

    include "../modules/mod_config.php";
    include "../modules/mod_admin.php";
    include "../modules/class_translation.php";
    include "../modules/class_userlist.php";
    include "../modules/class_newsletter.php";

    $errorMessage = "";
    
    // Check privileges
    check_login();
    if (user_is_customer() == true)
    {
        log_out();
        return;
    }

    // Cancel newsletter?
    if (isset($_POST['newslett_Cancel']))
    {
        header('location: ' . $ADMIN_MAIN_SITE);
        return;
    }

    // Send newsletter?
    if (isset($_POST['newslett_Send']))
    {
        if (isset($_POST['news_content']) == true && $_POST['news_content'] != "")
        {
            $userList = new cUserList;
            $userList->SetFolder($CUSTOMER_FOLDER);
            $userList->LoadNewsletterUserList();
            $newsLetter = new cNewsletter;
            $newsLetter->CreateNewsletter();
            $newsLetter->SetUserFolder($CUSTOMER_FOLDER);
            $newsLetter->SetUserList($userList->GetUserList());
            $newsLetter->SetNewsText($_POST['news_content']);
            $newsLetter->SetNewsTitle(' ' . $cTrans->GetTranslation('admin_newslett_title') . ' ' . date("Y-m-d H:i:s"));
            $newsLetter->SetEmail($SHOP_TITLE);
            $newsLetter->SetUnsubscribeText($cTrans->GetTranslation('admin_newslett_unsubscribe'));
            $newsLetter->SetUnsubscribeUrl($_SERVER['SERVER_NAME'] . $NEWSLETTER_UNSUBSCRIBE_SITE);
            $newsLetter->SetFolder($NEWSLETTER_FOLDER);
            if ($newsLetter->SendNewsletter() == true)
            {
                log_message ('User ' . get_user_name() . ' wrote a newsletter');
                header('location: ' . $ADMIN_MAIN_SITE);
                return;
            }
            else
                $errorMessage = $cTrans->GetTranslation('admin_newslett_errorsend') . '!';
        }
        else
            $errorMessage = $cTrans->GetTranslation('admin_newslett_errortext') . '!';
    }

    // Display
    print_admin_header($cTrans->GetTranslation('admin_newslett_head'), true, $cTrans->GetTranslation('admin_login_logout'), true, $cTrans->GetTranslation('admin_backtomain'));
    print_help_link($ADMIN_HELP_FILE . '#n1-5', $cTrans->GetTranslation('admin_help'));
    if ($errorMessage != "")
        print_error_message($errorMessage);
        
    echo_r ('<form method="post" action="">');

    // Newsletter content
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td>' . $cTrans->GetTranslation('admin_newslett_sendtext') . ': </td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td>');
    if (isset($_POST['news_content']) == true)
        echo_r ('      <textarea cols="100" rows="20" name="news_content" wrap="off">' . $_POST['news_content'] . '</textarea>');
    else
        echo_r ('      <textarea cols="100" rows="20" name="news_content" wrap="off"></textarea>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');


    echo_r('<br>');

    print_bottom_links("newslett_Send", $cTrans->GetTranslation('admin_send'), "newslett_Cancel", $cTrans->GetTranslation('admin_cancel'), false);
    echo_r('</form>');

    print_admin_footer();
?>