<?php

/*  Alternate WebshopEngine
(C) 2009-2016 by Alternate Tools
-----------------------------------------------------

File:         class_articlesidebar.php
Description:  The article sidebar/statistics class

*/

    include "class_article.php";
    include "class_articlelist.php";

if (!defined("CLASS_ARTICLESIDEBAR"))
{
    define ("CLASS_ARTICLESIDEBAR", "DEFINED");

    class cSidebar
    {
        var $m_ArticleCount;
        var $m_aNewestArticles;
        var $m_aCheapestArticles;
        var $m_aPopularArticles;
        var $m_aMostOrderedArticles;
        var $m_aRecentArticles;
        var $m_aSimilarArticles;
        var $m_Folder;
        var $m_ArticlesLoaded;
        var $m_ArticleList;

        function __construct()
        {
            $this->InitSidebar();
        }

        function cSidebar() // PHP 4
        {
            $this->__construct();
        }

        function InitSidebar()
        {
            $this->m_ArticleCount = 2; // -1 = no limit, show all
            $this->ClearSidebar();
            $this->m_Folder = "";
            $this->m_ArticlesLoaded == false;
            $this->m_ArticleList = new cArticleList;
        }

        function ClearSidebar()
        {
            unset($this->m_aNewestArticles);
            $this->m_aNewestArticles = array();
            unset($this->m_aCheapestArticles);
            $this->m_aCheapestArticles = array();
            unset($this->m_aPopularArticles);
            $this->m_aPopularArticles = array();
            unset($this->m_aMostOrderedArticles);
            $this->m_aMostOrderedArticles = array();
            unset($this->m_aRecentArticles);
            $this->m_aRecentArticles = array();
            unset($this->m_aSimilarArticles);
            $this->m_aSimilarArticles = array();
        }

        function ClearRecent()
        {
            unset ($_SESSION['m_aRecentArticles']);
        }

        function SetArticleCount($artCount)
        {
            $this->m_ArticleCount = $artCount;
        }

        function SetFolder($folder)
        {
            $this->m_Folder = $folder;
        }

        function GetNewestArticles()
        {
            $this->LoadArticles();
            $this->m_ArticleList->SortArticleList(-1);  //Date descending
            $artArray = $this->m_ArticleList->GetArticleList();
            
            unset($this->m_aNewestArticles);
            $this->m_aNewestArticles = array();
            $curCount = 0;
            for ($i = 0; $i < count($artArray); $i ++)
            {
                $this->m_aNewestArticles[] = $artArray[$i];
                $curCount ++;
                if ($curCount >= $this->m_ArticleCount && $this->m_ArticleCount != -1)
                    break;
            }
            return $this->m_aNewestArticles;
        }
        
        function GetCheapestArticles()
        {
            $this->LoadArticles();
            $this->m_ArticleList->SortArticleList(3);  // Price ascending
            $artArray = $this->m_ArticleList->GetArticleList();

            unset($this->m_aCheapestArticles);
            $this->m_aCheapestArticles = array();
            $curCount = 0;
            for ($i = 0; $i < count($artArray); $i ++)
            {
                $this->m_aCheapestArticles[] = $artArray[$i];
                $curCount ++;
                if ($curCount >= $this->m_ArticleCount && $this->m_ArticleCount != -1)
                    break;
            }
            return $this->m_aCheapestArticles;
        }

        function GetPopularArticles()
        {
            $this->LoadArticles();
            $this->m_ArticleList->SortArticleList(5);  // Popularity descending
            $artArray = $this->m_ArticleList->GetArticleList();

            unset($this->m_aPopularArticles);
            $this->m_aPopularArticles = array();
            $curCount = 0;
            for ($i = 0; $i < count($artArray); $i ++)
            {
                $this->m_aPopularArticles[] = $artArray[$i];
                $curCount ++;
                if ($curCount >= $this->m_ArticleCount && $this->m_ArticleCount != -1)
                    break;
            }
            return $this->m_aPopularArticles;
        }

        function GetMostOrderedArticles()
        {
            $this->LoadArticles();
            $this->m_ArticleList->SortArticleList(6);  // Most ordered descending
            $artArray = $this->m_ArticleList->GetArticleList();

            unset($this->m_aMostOrderedArticles);
            $this->m_aMostOrderedArticles = array();
            $curCount = 0;
            for ($i = 0; $i < count($artArray); $i ++)
            {
                $this->m_aMostOrderedArticles[] = $artArray[$i];
                $curCount ++;
                if ($curCount >= $this->m_ArticleCount && $this->m_ArticleCount != -1)
                    break;
            }
            return $this->m_aMostOrderedArticles;
        }

        function AddRecentArticle($artId)
        {
            if (isset($_SESSION['m_aRecentArticles']))
                $this->m_aRecentArticles = $_SESSION['m_aRecentArticles'];
            
            if (count($this->m_aRecentArticles) == 0)
                $this->m_aRecentArticles[] = $artId;
            else
            {
                // Keep the article limit
                if (count($this->m_aRecentArticles) > $this->m_ArticleCount)
                {
                    for ($i = count($this->m_aRecentArticles) - 1; $i > $this->m_ArticleCount - 1; $i --)
                        unset ($this->m_aRecentArticles[$i]);
                }
                // Check, if we have this entry already
                if (in_array($artId, $this->m_aRecentArticles) == true)
                {
                    // Shift all above one down if not on pos 0
                    $pos = array_search($artId, $this->m_aRecentArticles);
                    if ($pos != 0)
                    {
                        for ($i = $pos; $i > 0; $i --)
                            $this->m_aRecentArticles[$i] = $this->m_aRecentArticles[$i - 1];
                    }
                }
                else
                {
                    if (count($this->m_aRecentArticles) < $this->m_ArticleCount)
                        $this->m_aRecentArticles[] = "";  // Add blank one for shifting
                    // Shift all recent article one step down
                    for ($i = count($this->m_aRecentArticles) - 1; $i > 0; $i --)
                        $this->m_aRecentArticles[$i] = $this->m_aRecentArticles[$i - 1];
                }
                $this->m_aRecentArticles[0] = $artId;
            }

            $_SESSION['m_aRecentArticles'] = $this->m_aRecentArticles;
        }
        
        function GetRecentArticles()
        {
            if (isset($_SESSION['m_aRecentArticles']) == true)
                return $_SESSION['m_aRecentArticles'];
            return array();
        }

        function GetSimilarArticles($artId)
        {
            $this->LoadArticles();
            $artOrigin = new cArticle;
            $artOrigin->SetFolder($this->m_Folder);
            $artCompare = new cArticle;
            $artCompare->SetFolder($this->m_Folder);
            $artArray = $this->m_ArticleList->GetArticleList();

            unset($this->m_aSimilarArticles);
            $this->m_aSimilarArticles = array();

            $artOrigin->LoadArticleFromId($artId);
            $curCount = 0;
            $searchWords = explode(' ', $artOrigin->GetName());
            $searchWord = $searchWords[0];
            for ($i = 0; $i < count($artArray); $i ++)
            {
                $artCompare->LoadArticleFromId($artArray[$i]);
                if ($artOrigin->GetId() != $artCompare->GetId())
                {
                    if (strstr($artCompare->GetName(), $searchWord) != false)
                    {
                        $this->m_aSimilarArticles[] = $artArray[$i];
                        $curCount ++;
                        if ($curCount >= $this->m_ArticleCount && $this->m_ArticleCount != -1)
                        break;
                    }
                }
            }
            return $this->m_aSimilarArticles;
        }

        function LoadArticles()
        {
            if ($this->m_ArticlesLoaded == false)
            {
                $this->m_ArticleList->SetFolder($this->m_Folder);
                $this->m_ArticleList->LoadArticleList(3);  // unlocked and available only
                $this->m_ArticlesLoaded = true;
            }
        }

    }
}